package com.zhongzheng.modules.inform.service;

import com.zhongzheng.modules.inform.domain.InformExam;
import com.zhongzheng.modules.inform.vo.InformExamVo;
import com.zhongzheng.modules.inform.bo.InformExamQueryBo;
import com.zhongzheng.modules.inform.bo.InformExamAddBo;
import com.zhongzheng.modules.inform.bo.InformExamEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2021-11-23
 */
public interface IInformExamService extends IService<InformExam> {
	/**
	 * 查询单个
	 * @return
	 */
	InformExamVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<InformExamVo> queryList(InformExamQueryBo bo);

	/**
	 * 根据新增业务对象插入【请填写功能名称】
	 * @param bo 【请填写功能名称】新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(InformExamAddBo bo);

	/**
	 * 根据编辑业务对象修改【请填写功能名称】
	 * @param bo 【请填写功能名称】编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(InformExamEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	List<InformExamVo> queryExam(Long informId);
}
